function alignment = initialize_global(alignment)

alignment.seq_number = length(alignment.seqs);
alignment.distance_matrix = zeros(alignment.seq_number, alignment.seq_number);

for i = 1 : alignment.seq_number
    
   alignment.log_table(i,1) = i;
   alignment.log_table(i,2) = 0;
    
end

alignment.seq_aligned_count = 0;